/**
 *
 *  Lady Tempesre's Fine Garments
 *  @author Drakkos
 *  @started 31/03/2009
 *
 */

#include "path.h"
#include <armoury.h>

// Make use of our own item shop inherit rather than the 
// base one.
inherit INHERITS + "betterville_item_shop";

object lady;

void setup() {
  set_short ("Lady Tempesre's Fine Garments");
  add_property ("determinate", "");
  
  set_long ("This is a shop full of beautiful clothes for beautiful "
    "girls.  The garments are each fit for a princess, with price-tags "
    "to match.\n");
    
  set_light (100);
  
  // add_object with three parameters let's us set the name of the item, 
  // how many should be in stock, and what we should display them as.
  add_object ("pirate dress", 3 + random (3), 
    "beautiful dress with pirate motif");
  // add_object with three parameters let's us set the name of the item, 
  // how many should be in stock, and what we should display them as.
  add_object ("monkey dress", 3 + random (3), 
    "beautiful dress with money motif");
  // add_object with three parameters let's us set the name of the item, 
  // how many should be in stock, and what we should display them as.
  add_object (ITEMS + "beautiful_dress", 3 + random (3), 
    "beautiful but unadorned dress");
  
  add_exit ("south", ROOMS + "betterville_06", "door");
}

void reset() {
  ::reset();
  call_out ("after_reset", 3);
}

void after_reset() {
  lady = load_object (CHARS + "lady_stormshadow");
  
  if (environment (lady) != this_object()) {
    lady->move (this_object(), "$N appear$s from behind a shelf.",
      "$N run$s off to $p shop.");
  }
}

// When the item shop attempts to get the details of things we have added 
// as stock, it first looks to see if it can clone the item directly 
// (as it can when we give a full path).  If that doesn't work, it 
// attempts to request the item through the armoury.  If that doesn't
// work, it passes the string we used to the create_object method,
// and uses whatever comes out of that.  It should return 0 if 
// there is no matching item at all.
object create_object (string item) {
  object ob;
  
  // Item contains the 'name' of the stock the player is 
  // trying to buy.
  switch (item) {
    case "monkey dress":
        // We clone a beautiful dress.
        ob = clone_object (ITEMS + "beautiful_dress");
        ob->set_motif ("monkeys");
    break;
    case "pirate dress":
        // We clone a beautiful dress.
        ob = clone_object (ITEMS + "beautiful_dress");
        ob->set_motif ("pirates");
    break;
  }    
  
  // Return the dress to the 
  return ob;
}

int query_lady_tempesre_clothes_shop() {
  return 1;
}